<?php
if ( ! function_exists( 'salientthemes_customizer_get_all_values' ) ) :
    /**
     * Function to get all value
     *
     * @access public
     * @since 1.0.0
     *
     * @param string $salientthemes_customizer_name
     * @return array || other values
     *
     */
    function salientthemes_customizer_get_all_values( $salientthemes_customizer_name_args = null ){
        if( $salientthemes_customizer_name_args ){
            $salientthemes_customizer_name = $salientthemes_customizer_name_args;
        }
        elseif(defined('SALIENTTHEMES_CUSTOMIZER_NAME')){
            $salientthemes_customizer_name = SALIENTTHEMES_CUSTOMIZER_NAME;
        }
        else{
            $salientthemes_customizer_name = 'salientthemes_customizer_options';
        }

        if (defined('SALIENTTHEMES_CUSTOMIZER_OPTION_MODE') && SALIENTTHEMES_CUSTOMIZER_OPTION_MODE == 1 ) {
            $customizer_values = get_option( $salientthemes_customizer_name);
        }
        else{
            $customizer_values = get_theme_mod( $salientthemes_customizer_name );
        }

        return $customizer_values;
    }
endif;